/* Higueron Hotel Malaga, Curio Collection by Hilton – agprhqq */
:root {
  --color-bg: 255, 255, 255;
  --color-bg-alt: 241, 241, 241;
  --color-bg-disabled: 228, 228, 228;
  --color-bg-inverse: 18, 18, 18;
  --color-bg-primary: 231, 242, 246;
  --color-bg-quarternary: 249, 219, 191;
  --color-border: 227, 227, 227;
  --color-border-alt: 220, 220, 220;
  --color-danger: 211, 3, 41;
  --color-danger-alt: 250, 229, 233;
  --color-info: 0, 156, 222;
  --color-info-alt: 229, 245, 251;
  --color-warn: 186, 131, 35;
  --color-warn-alt: 253, 237, 169;
  --color-success: 30, 97, 44;
  --color-success-alt: 226, 248, 226;
  --color-primary: 16, 76, 151;
  --color-primary-alt: 10, 57, 113;
  --color-secondary: 0, 156, 222;
  --color-secondary-alt: 0, 128, 185;
  --color-tertiary: 132, 35, 94;
  --color-tertiary-alt: 96, 27, 69;
  --color-quarternary: 229, 114, 0;
  --color-quarternary-alt: 197, 98, 0;
  --color-white: 255, 255, 255;
  --color-black: 0, 0, 0;
  --color-text: 18, 18, 18;
  --color-text-alt: 102, 102, 102;
  --color-text-disabled: 189, 189, 189;
  --color-text-inverse: 255, 255, 255;
  --color-outline-shadow: rgba(0, 156, 222, 0.3);
  --color-overlay: rgba(29, 29, 29, 0.3);
  --color-brand-light: #00a7e1;
  --color-brand-dark: rgb(0, 61, 106);
  --color-white: #fff;
  --font-sans: 'Metropolis';
  --font-serif: 'Metropolis';
  --font-mono: 'Metropolis';
  --font-headline: 'Metropolis Medium';
  --font-headline-brand: 'Metropolis Medium';
}

@font-face {
  font-family: 'Metropolis';
  font-weight: normal;
  font-style: normal;
  font-display: auto;
  src:
    url('https://www.hilton.com/modules/assets/fonts/metropolis/regular.woff') format('woff'),
    url('https://www.hilton.com/modules/assets/fonts/metropolis/regular.woff2') format('woff2');
}

@font-face {
  font-family: 'Metropolis Medium';
  font-weight: normal;
  font-style: normal;
  font-display: auto;
  src:
    url('https://www.hilton.com/modules/assets/fonts/metropolis/medium.woff') format('woff'),
    url('https://www.hilton.com/modules/assets/fonts/metropolis/medium.woff2') format('woff2');
}

/* component styles */

.propertyAlert {
  background: var(--color-brand-light);
  color: #000;
}

.propertyAlert button {
  color: #000;
}

[data-element-id='hero-image'] div:nth-child(2) > div > div > div > button > span > span {
  color: var(--color-brand-dark);
}

[data-element-id='hero-image'] {
  color: #000;
}

[data-element-id='room-types-wrapper'] {
  color: var(--color-white);
}

[data-element-id='room-types-wrapper'] button {
  border-color: var(--color-white);
}

[data-element-id='room-types-wrapper'] button > span > svg {
  fill: var(--color-white);
}

/* Targeting the divider line between the FYBR and Filter by features tabs */
[data-element-id='room-types-wrapper'] div > button + div {
  background-color: var(--color-white);
}

.cp-multiColumnTilesWithHover div > div > a > div > div {
  padding: 0 10%;
  text-align: center;
}

.chevron {
  color: var(--color-brand-dark) !important;
  border: 0.1rem solid var(--color-brand-dark) !important;
}

div.dialog-content-v2[role='dialog'][data-osc-date-picker='true'] > div > div,
div.dialog-content-v2[role='dialog'][data-osc-shop-form-rooms='true'] > div > div,
div.dialog-content-v2[role='dialog'][data-osc-shop-form-special-rates='true'] > div > div {
  border-color: rgb(220, 220, 220);
}

.dialog-content-v2 a:has(.btn-primary-outline) span {
  border-color: var(--color-brand-dark);
  color: var(--color-brand-dark);
}

button#shop-form-dates[data-osc-product='shop-form-dates'] span {
  border-color: rgb(220, 220, 220);
}

button.-end-2 {
  border-color: transparent !important;
}

[data-osc-date-picker='true'] input.form-checkbox {
  border-color: rgb(220, 220, 220);
}

[data-osc-date-picker='true'] input.form-checkbox:focus {
  border-color: rgb(var(--color-primary));
}

[data-osc-product='search-rates-second'] input.form-input,
[data-osc-product='search-rates-first'] input.form-checkbox {
  border-color: rgb(220, 220, 220);
}

[data-osc-product='search-rates-first'] input.form-checkbox:focus {
  border-color: rgb(var(--color-primary));
}

[data-osc-date-picker='true'] input.form-checkbox:checked {
  border-color: #00a7e1;
}

[data-osc-date-picker='true'] td button.font-bold[tabindex='0']:not(:disabled):not(:focus) {
  background-color: var(--color-brand-dark);
  border-color: var(--color-brand-dark);
  color: #ffffff;
}

[data-osc-date-picker='true'] td button.font-bold[tabindex='0']:not(:disabled):not(.bg-bg-alt) {
  background-color: #00a7e1;
  border-color: #ffffff;
  color: rgb(0, 0, 0);
}

[data-osc-date-picker='true'] td button.text-text[tabindex='-1']:not(:disabled) {
  background-color: rgb(var(--color-bg-alt));
  border-color: #ffffff;
  color: rgb(0, 0, 0);
}

[data-osc-date-picker='true'] td button[tabindex='0']:not(:disabled) {
  background-color: #00a7e1;
  border-color: #ffffff;
  color: rgb(0, 0, 0);
}
